Subject: ODAI for SSCP-PU, SSCP-LU, and Dependent LU-LU sessions

From: "Tom Moore (8-444-9932)" <[email-masked]>
Date: Fri, 1 Apr 94 12:34:26 EST

Dave,

 Sorry for the delay in responding;  I wanted to check back with
 CM/2 on your findings.

 I agree with you that the description of ODAI should be clarified
 in SNA Formats.  Additionally, the "Local-Form Session Identifier"
 section in the ASM chapter of the APPN Architecture Reference
 could be clearer on ODAI usage for dependent flows.  We'll be
 updating the books immediately.

> However, COMMGR definitely echos ODAI on ACTPU
> and ACTLU response, even if it is set to 1.

 I followed up with CM/2, and what you say is indeed correct.  An
 architecture deviation has been opened on CM/2 for this.

>I believe there is still something that needs to be clarified in the
>architecture: If ODAI is reserved for dependent LU flows, does that
>mean that the node requesting ACTPU can only be secondary on the link ?

 No

>If not, then the ODAI value will operate differently for these
>dependent LU flows than for independent (because it is reserved).

 True

>If that is the case, then what happens if both link stations request
>ACTPU? Does the secondary LS win and get the ACTPU ? Or is it
>defined via configuration ? If both LSs attempt to send ACTPU, then
>neither will succeed, because there will be an addressing clash. While
>you might think it unlikely that 2 BFs will meet, the architecture
>should resolve this case (it already handles all other clashing cases
>that I can think of).

 It's a given that the scenario where both link stations request
 ACTPU is an undefined case in the architecture, as we stated in our
 previous note.  I would like to discuss this with you further
 (offline) to better understand your requirement for facing BFs,
 each requesting ACTPU.  Once we clearly understand this requirement,
 we'll look at updating the architecture.

   Tom